# Generated by Django 5.0.4 on 2024-09-28 09:08

import pgvector.django.vector
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("books", "0001_adding_pgector"),
    ]

    operations = [
        migrations.CreateModel(
            name="Author",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("name", models.TextField(unique=True)),
            ],
            options={
                "ordering": ["id"],
            },
        ),
        migrations.CreateModel(
            name="Genre",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("genre", models.TextField(unique=True)),
            ],
            options={
                "ordering": ["id"],
            },
        ),
        migrations.CreateModel(
            name="Book",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("ISBN", models.CharField(max_length=13, unique=True)),
                ("title", models.TextField()),
                ("description", models.TextField(blank=True)),
                ("imageURL", models.TextField(blank=True)),
                ("publisher", models.TextField(blank=True)),
                ("publishDate", models.DateField(blank=True, null=True)),
                ("goodreadsURL", models.TextField(blank=True)),
                ("created", models.DateTimeField(auto_now_add=True)),
                ("embedding", pgvector.django.vector.VectorField(blank=True, dimensions=384, null=True)),
                ("author", models.ManyToManyField(to="books.author")),
                ("genres", models.ManyToManyField(to="books.genre")),
            ],
            options={
                "ordering": ["ISBN"],
            },
        ),
    ]
